## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate hashbrown

Name:           rust-hashbrown0.9
Version:        0.9.1
Release:        %autorelease
Summary:        Rust port of Google's SwissTable hash map

# Upstream license specification: Apache-2.0/MIT
License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/hashbrown
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop dependencies on compiler internals
# * drop nightly-only features
# * relax rustc-hash dev-dependency
Patch:          hashbrown-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A Rust port of Google's SwissTable hash map.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ahash-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ahash-devel %{_description}

This package contains library source intended for building other packages which
use the "ahash" feature of the "%{crate}" crate.

%files       -n %{name}+ahash-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ahash-compile-time-rng-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ahash-compile-time-rng-devel %{_description}

This package contains library source intended for building other packages which
use the "ahash-compile-time-rng" feature of the "%{crate}" crate.

%files       -n %{name}+ahash-compile-time-rng-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+inline-more-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+inline-more-devel %{_description}

This package contains library source intended for building other packages which
use the "inline-more" feature of the "%{crate}" crate.

%files       -n %{name}+inline-more-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+raw-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+raw-devel %{_description}

This package contains library source intended for building other packages which
use the "raw" feature of the "%{crate}" crate.

%files       -n %{name}+raw-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rayon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rayon-devel %{_description}

This package contains library source intended for building other packages which
use the "rayon" feature of the "%{crate}" crate.

%files       -n %{name}+rayon-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 07 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.1-5
- Regenerate with rust2rpm v24

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Sep 30 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.1-1
- Initial import (hashbrown 0.9 compat package)
